*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Poppins', sans-serif;
}
html{

	scroll-behavior: smooth;

	/* =====   Colors   ===== */
	--black-clr: #000000;
	--bg-clr-one: #0a0a0a;
	--bg-clr-two: #0e0e0e;
	--primary-clr: #e25822;
	--primary-heading-clr: #e2e2e2;
	--secondary-heading-clr: #adb5bd;
	--text-clr: #6b7279;
    
    /* =====   Font Sizes   ===== */
	--text-fontSize: 17px;
	--btn-fontSize: 18px;
	--large-heading: 32px;
}
body{
	width: 100%;
	min-height: 100vh;
}
.websiteContainer{
    max-width: 1568px;
    margin: 0px auto;
    background-color: #FFFFFF;
    color: var(--primary-heading-clr);
    border-width: 0px;
}

/*   *******   Home Section Styling Starts   *******   */

.homeSection{
    width: 100%;
    position: relative;
}
.homeSection .primaryMenu{
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0px 40px;
	height: 65px;
}
.homeSection .stickyMenuBar{
    position: fixed;
    max-width: 1568px;
    top: 0;
    background-color: #FFFFFF;
    box-shadow: 0px 0px 3px 0px #929292;
    z-index: 100;
    animation: navbarAnim 0.4s linear;
    -webkit-box-shadow: 0px 0px 3px 0px #929292;
}
@keyframes navbarAnim{
	0%{
		transform: translateY(-100px);
	}
	100%{
		transform: translateY(0px);
	}
}
.homeSection .primaryMenu ul{
	list-style: none;
}
.homeSection .primaryMenu ul li{
	display: inline-block;
	padding: 0px 16px;
}
.homeSection .primaryMenu ul li:nth-child(7){
	padding-right: 0px;
}
.homeSection .primaryMenu ul li a{
    position: relative;
    display: block;
    text-decoration: none;
    font-size: var(--text-fontSize);
    color: #00031A;
    font-family: "Poppins SemiBold";
    font-weight: normal;
}
.homeSection .primaryMenu ul li a:after{
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: #FFFFFF;
    border-radius: 5px;
    top: 110%;
    left: 0;
    transition: 0.4s;
    transform: scale(0);
}
.homeSection .primaryMenu ul li a:hover::after{
    transform: scale(1);
    background-color: #ED0010;
}
.homeSection .primaryMenu #primaryMenuBtn{
    cursor: pointer;
    user-select: none;
    display: none;
    background-color: #FFFFFF;
}
.primaryMenu #primaryMenuBtn .bar{
	width: 26px;
	height: 3px;
	background-color: var(--primary-heading-clr);
	border-radius: 5px;
	margin: 5px auto;
	transition: 0.4s cubic-bezier(1, 0.2, 0.2, 1);
}
.homeSection .homeBody{
    width: 100%;
    height: calc(100vh - 65px);
    background-color: #00031F;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url(Images/landing-page.jpg);
    margin-right: auto;
    margin-left: auto;
    background-position: center center;
}
.homeSection .homeBody .homeInfoText{
	padding: 0px 8%;
	max-width: 768px;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
}
.homeBody .homeInfoText p{
    color: #000024;
    font-size: 18px;
    text-transform: uppercase;
    letter-spacing: 0px;
    font-family: "Poppins SemiBold";
    margin-bottom: 8px;
}

.homeBody .homeInfoText h1{
    color: #000024;
    font-size: 55px;
    padding: 4px 0px 10px 0px;
    letter-spacing: -2px;
    text-transform: uppercase;
    display: flex;
    flex-wrap: wrap;
    /* [disabled]text-shadow: 1px 0px #000,-1px -1px 2px #000; */
    /* [disabled]opacity: 1; */
    font-family: "Poppins SemiBold";
    font-weight: bolder;
    font-style: normal;
}
.homeBody .homeInfoText h1 span:nth-child(1){
	padding-right: 10px;
}
.homeBody .homeInfoText h1 span:nth-child(2){
    color: var(--primary-clr);
    font-family: "Poppins SemiBold";
}
.homeBody .homeInfoText button{
    padding: 10px 16px;
    border: 1px solid var(--primary-clr);
    border-radius: 25px;
    outline: none;
    font-size: 17px;
    text-transform: capitalize;
    background-color: #FF0837;
    color: #FFFFFF;
    margin-top: 40px;
    cursor: pointer;
    transition: all 0.4s;
    font-family: Arial;
}
.homeBody .homeInfoText button:hover{
    color: #000024;
    border: 1px solid var(--secondary-heading-clr);
}
.homeBody .homeInfoText .homeSocialMedia{
	position: absolute;
	bottom: 60px;
}
.homeInfoText .homeSocialMedia a i{
	font-size: 24px;
	padding-right: 20px;
	color: var(--secondary-heading-clr);
	transition: 0.4s;
}
.homeInfoText .homeSocialMedia a i:hover{
	color: var(--primary-clr);
	transform: translateY(-3px);
}

/*   *******   Home Section Styling Ends   *******   */


/*   *******   About Section Styling Starts   *******   */

.aboutSection{
    width: 100%;
    padding: 75px 8% 60px;
    background-color: #FFFFFF;
    border-width: 0px;
    clear: none;
}
.aboutContents .aboutImage{
    grid-area: aboutImage;
    border-width: 0px;
}
.aboutContents .aboutInfo{
    grid-area: aboutInfo;
    /* [disabled]border-width: 0px; */
}
.aboutContents .aboutSkills{
    grid-area: aboutSkills;
    /* [disabled]border-width: 0px; */
}
.aboutSection .aboutContents{
    display: grid;
    grid-template-columns: 2fr 5fr;
    grid-gap: 70px;
    grid-template-areas: 'aboutImage aboutInfo'
	                     'aboutSkills aboutSkills';
    border-width: 0px;
    text-decoration: none;
    /* [disabled]background-color: #FFFFFF; */
}
.aboutContents .aboutImage{
    position: relative;
    min-width: 405px;
    height: 412px;
}
.aboutContents .aboutImage img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* [disabled]display: block; */
    position: relative;
    z-index: 2;
}
.aboutContents .aboutImage::after{
    position: absolute;
    content: '';
    /* [disabled]width: 100%; */
    /* [disabled]height: 100%; */
    outline: 3px solid var(--primary-clr);
    top: 15px;
    left: 15px;
    z-index: 1;
    border-width: 0px;
}
.aboutContents .aboutInfo h1{
    position: relative;
    display: inline-block;
    font-size: 30px;
    color: #00031F;
    text-transform: uppercase;
    margin-bottom: 5px;
    border-width: 0px;
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    text-decoration: none;
}
.aboutContents .aboutInfo h1::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    top: 110%;
    left: 0;
    background-color: var(--secondary-heading-clr);
    border-width: 0px;
}
.aboutContents .aboutInfo h1::after{
	content: '';
	position: absolute;
	width: 40%;
	height: 3px;
	top: calc(110% - 1px);
	left: 0;
	background-color: var(--primary-clr);
}
.aboutContents .aboutInfo h2{
    font-size: 20px;
    font-weight: 600;
    color: #F3003C;
    padding: 14px 0px 15px;
    text-transform: capitalize;
    letter-spacing: 1px;
}
.aboutContents .aboutInfo p{
    color: var(--text-clr);
    font-size: var(--text-fontSize);
    line-height: 1.2;
    text-align: justify;
    padding-bottom: 8px;
    font-family: Poppins;
}
.aboutInfo .aboutPersonalInfo{
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-gap: 10px 20px;
	margin-top: 14px;
	padding-bottom: 10px;
	border-bottom: 1px solid #333;
}
.aboutInfo .aboutPersonalInfo div{
	display: grid;
	grid-template-columns: 1fr 1fr;
}
.aboutPersonalInfo div span{
	color: var(--text-clr);
	letter-spacing: 1px;
}
.aboutContents .aboutInfo button{
    min-width: 150px;
    padding: 8px 18px;
    font-size: var(--btn-fontSize);
    letter-spacing: 1px;
    color: #FFFFFF;
    background-color: #FF0C39;
    border: 1px solid var(--primary-clr);
    border-radius: 25px;
    margin-top: 20px;
    cursor: pointer;
    transition: all 0.4s;
}
.aboutContents .aboutInfo button:hover{
    color: #000522;
    border-color: var(--secondary-heading-clr);
}
.aboutContents .aboutSkills{
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-gap: 10px 80px;
}
.aboutSkills .skill .subject{
    font-size: var(--text-fontSize);
    font-weight: thin;
    padding-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #000000;
}
.aboutSkills .skill .progress_bar{
    width: 100%;
    height: 16px;
    background-color: #03004F;
    padding: 4px 6px;
    border-top: 0px solid #000;
    border-bottom: 0px solid #222;
    border-radius: 15px;
    border-right-width: 0px;
    border-left-width: 0px;
}
.aboutSkills .skill .progress_bar .progress_line{
    position: relative;
    width: 100%;
    height: 100%;
    background-color: #FF105A;
    box-shadow: -1px -1px 2px #222,
	             1px 1px 2px #111;
    border-radius: 15px;
}
.aboutSkills .skill .progress_bar .progress_line::after{
	position: absolute;
	content: attr(value);
	top: -35px;
	right: 0;
	transform: translateX(-50%);
	color: var(--secondary-heading-clr);
	font-size: var(--text-fontSize);
}

/*   *******   About Section Styling Ends   *******   */


/*  *******   Services Section Styling Starts   *******  */

.servicesSection{
    width: 100%;
    padding: 75px 8% 60px;
    background-color: #E9E9E9;
    border-width: 0px;
}
.servicesSection .serviceTitle{
    max-width: 700px;
    margin: 0px auto 45px;
    text-align: center;
    color: #000000;
    font-family: Poppins;
    font-size: 14px;
}
.servicesSection .serviceTitle h1{
    position: relative;
    display: inline-block;
    font-size: var(--large-heading);
    color: #00002A;
    text-transform: uppercase;
    margin-bottom: 30px;
    border-width: 0px;
}
.servicesSection .serviceTitle h1::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    top: 120%;
    left: 0;
    background-color: var(--secondary-heading-clr);
    color: #000000;
    /* [disabled]opacity: 0.06; */
}
.servicesSection .serviceTitle h1::after{
    content: '';
    position: absolute;
    width: 40%;
    height: 3px;
    top: calc(120% - 1px);
    left: 0;
    background-color: var(--primary-clr);
    color: #000000;
    font-size: medium;
    opacity: 0;
}
.servicesSection .serviceTitle p{
    font-size: var(--text-fontSize);
    color: #000000;
}
.servicesSection .serviceContents{
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}
.serviceContents .serviceBox{
    flex-basis: 32%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 25px 20px 35px;
    border: 1px solid #111111;
    margin-bottom: 20px;
    cursor: pointer;
    transition: transform 0.4s,
	            box-shadow 0.4s;
    background-color: #00002A;
}
.serviceContents .serviceBox:hover{
	transform: translateY(-2px);
	box-shadow: 0px 3px 18px 0px #000;
}
.serviceContents .serviceBox i{
    font-size: 30px;
    opacity: 1;
    color: #F10153;
}
.serviceContents .serviceBox h2{
	padding: 15px 0px 10px;
	color: var(--secondary-heading-clr);
	font-size: 20px;
}
.serviceContents .serviceBox p{
    font-size: var(--text-fontSize);
    color: var(--text-clr);
    line-height: 1.3;
    text-align: center;
    word-spacing: 5px;
}

/*  *******   Resume Section Styling Ends   *******  */

/*  *******   Portfolio Section Styling Starts   *******  */

.portfolioSection{
    /* [disabled]width: 100%; */
    padding: 75px 8% 60px;
    background-color: #FCDFE1;
    /* [disabled]border-width: 0px; */
}
.portfolioSection .portfolioTitle{
    max-width: 700px;
    margin: 0px auto;
    text-align: center;
    border-width: 0px;
}
.portfolioSection .portfolioTitle h1{
    position: relative;
    display: inline-block;
    font-size: var(--large-heading);
    color: #00001D;
    text-transform: uppercase;
    margin-bottom: 30px;
}
.portfolioSection .portfolioTitle h1::before{
	content: '';
	position: absolute;
	width: 100%;
	height: 1px;
	top: 120%;
	left: 0;
	background-color: var(--secondary-heading-clr);
}
.portfolioSection .portfolioTitle h1::after{
	content: '';
	position: absolute;
	width: 40%;
	height: 3px;
	top: calc(120% - 1px);
	left: 0;
	background-color: var(--primary-clr);
}
.portfolioContents .portfolioBtns{
	padding: 20px 0px 25px;
}
.portfolioContents .portfolioBtns ul{
	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
	list-style: none;
}
.portfolioBtns ul .btn.active {
    color: #110000;
    -webkit-box-shadow: 0px 0px #000000;
    box-shadow: 0px 0px #000000;
}

.portfolioContents .portfolioBtns ul li{
	display: inline-block;
	padding: 3px 0px;
	font-size: 18px;
	font-weight: 500;
	color: var(--secondary-heading-clr);
	letter-spacing: 1px;
	margin: 4px 15px;
	cursor: pointer;
	transition: color 0.4s;
}
.portfolioContents .portfolioBtns ul li:hover{
	color: var(--primary-clr);
}
.portfolioContents .portfolioBtns ul li.active{
	position: relative;
	color: var(--primary-clr);
}
.portfolioContents .portfolioBtns ul li.active::after{
	content: '';
	position: absolute;
	top: 110%;
	left: 0;
	width: 100%;
	height: 2px;
	background-color: var(--primary-clr);
	animation: portfolioAnimOne 0.4s linear;
}
@keyframes portfolioAnimOne{
	0%{
		transform: scale(0);
	}
	100%{
		transform: scale(1);
	}
}
.portfolioContents .portfolioGallery{
	width: 100%;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-gap: 10px;
}
.portfolioContents .portfolioGallery .card{
	position: relative;
	width: 100%;
	height: 100%;
	cursor: pointer;
	overflow: hidden;
}
.portfolioContents .portfolioGallery .card.active{
	display: block;
	animation: portfolioAnimTwo 0.3s linear;
}
@keyframes portfolioAnimTwo{
	0%{
		transform: scale(0.6);
	}
	100%{
		transform: scale(1);
	}
}
.portfolioContents .portfolioGallery .card.hide{
	display: none;
}
.portfolioGallery .card .imgBox{
	position: relative;
	width: 100%;
	height: 100%;
}
.portfolioGallery .card .imgBox img{
	width: 100%;
	height: 100%;
	object-fit: cover;
	display: block;
	cursor: pointer;
	transition: transform 0.3s linear;
}
.portfolioGallery .card:hover .imgBox img{
	transform: scale(1.1);
}

.portfolioPopupBox{
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background-color: rgba(0, 0, 0, 0.90);
	z-index: 300;
	display: none;
}
.portfolioPopupBox span{
	position: absolute;
	display: inline-block;
	color: var(--primary-heading-clr);
	font-size: 50px;
	font-weight: 900;
	top: 0;
	right: 20px;
	cursor: pointer;
}
.portfolioPopupBox img{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: 740px;
	object-fit: cover;
	display: block;
	padding: 0px 15px;
}
.portfolioContents .portfolioGallery button {
    background-color: #EB0033;
    color: #FFFFFF;
    border-width: 0px;
    border-radius: 59px;
    width: 143px;
    font-size: 17px;
    cursor: pointer;
    transition: all 0.4s;
    font-family: Arial;
    border: 1px solid var(--secondary-heading-clr);
}


/*  *******   Portfolio Section Styling Ends   *******  */


/*  *******   Testimonials Section Styling Starts   *******  */

.reviewSection{
    width: 100%;
    padding: 75px 8% 60px;
    background-color: #02042A;
    border-width: 0px;
}
.reviewSection .reviewTitle{
    max-width: 700px;
    margin: 0px auto 45px;
    text-align: center;
    border-width: 0px;
    border-style: none;
}
.reviewSection .reviewTitle h1{
	position: relative;
	display: inline-block;
	font-size: var(--large-heading);
	color: var(--primary-heading-clr);
	text-transform: uppercase;
	margin-bottom: 25px;
}
.reviewSection .reviewTitle h1::before{
	content: '';
	position: absolute;
	width: 100%;
	height: 1px;
	top: 120%;
	left: 0px;
	background-color: var(--secondary-heading-clr);
}
.reviewSection .reviewTitle h1::after{
	content: '';
	position: absolute;
	width: 40%;
	height: 3px;
	top: calc(120% - 1px);
	left: 0px;
	background-color: var(--primary-clr);
}
.reviewSection .reviewContents{
	position: relative;
	width: 100%;
	min-height: 370px;
}
.reviewContents .reviewCardsWrapper{
	position: relative;
	width: 88%;
	min-height: inherit;
	margin: 0px auto;
	overflow: hidden;
}
.reviewCardsWrapper .reviewCard{
	position: absolute;
	width: 100%;
	min-height: inherit;
	text-align: center;
	padding: 20px 0px 70px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}
.reviewCardsWrapper .reviewCard:not(.active){
	top: 0;
	left: -100%;
}
.reviewCardsWrapper .reviewCard img{
	width: 120px;
	height: 120px;
	border-radius: 50%;
	object-fit: cover;
	margin-bottom: 5px;
	outline: 2px solid var(--primary-clr);
	outline-offset: 3px;
}
.reviewCardsWrapper .reviewCard h3{
	font-size: 24px;
	font-weight: 600;
	font-style: italic;
	color: var(--primary-heading-clr);
	padding: 7px;
}
.reviewCardsWrapper .reviewCard h4{
	font-style: italic;
	color: var(--secondary-heading-clr);
}
.reviewCardsWrapper .reviewCard p{
	position: relative;
	font-size: var(--text-fontSize);
	color: var(--text-clr);
	letter-spacing: 1px;
	line-height: 1.2;
	padding: 10px;
}
.reviewContents .reviewBtns span.next,
.reviewContents .reviewBtns span.prev{
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	padding: 12px 16px;
	color: var(--primary-clr);
	font-weight: bold;
	font-size: 22px;
	transition: 0.4s;
	border-radius: 3px;
	user-select: none;
	cursor: pointer;
}
.reviewContents .reviewBtns span.next{
	right: 0;
}
.reviewContents .reviewBtns span.prev{
	left: 0;
}
.reviewContents .reviewBtns span.next:hover,
.reviewContents .reviewBtns span.prev:hover{
	background-color: #1a1a1a;
	color: var(--primary-clr);
}
.reviewContents .reviewCardsIndicators{
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	padding: 5px;
	cursor: pointer;
}
.reviewContents .reviewCardsIndicators .dot{
	width: 15px;
	height: 15px;
	margin: 0px 3px;
	border: 2px solid var(--primary-heading-clr);
	border-radius: 50%;
	display: inline-block;
	transition: background-color 0.2s ease;
}
.reviewContents .reviewCardsIndicators .active{
	background-color: var(--primary-clr);
}

@keyframes next1{
	from{
		left: 0%;
	}
	to{
		left: -100%;
	}
}
@keyframes next2{
	from{
		left: 100%;
	}
	to{
		left: 0%;
	}
}
@keyframes prev1{
	from{
		left: 0%;
	}
	to{
		left: 100%;
	}
}
@keyframes prev2{
	from{
		left: -100%
	}
	to{
		left: 0%;
	}
}

/*  *******   Testimonials Section Styling Ends   *******  */

/*  *******   Contact Section Styling Starts   *******  */

.contactSection{
    width: 100%;
    padding: 75px 8% 60px;
    background-color: #00011E;
}
.contactSection .contactContentsRow{
	width: 100%;
	display: flex;
	justify-content: space-between;
}
.contactContentsRow .even-column{
	display: flex;
	flex-direction: column;
}
.contactContentsRow .contactDetails{
	flex-basis: 35%;
	min-width: 320px;
	margin-right: 60px;
}
.contactContentsRow .contactForm{
	flex-basis: 60%;
}
.contactDetails .contactTitle h2{
	position: relative;
	font-size: 28px;
	color: var(--primary-heading-clr);
	display: inline-block;
	margin-bottom: 25px;
}
.contactDetails .contactTitle h2::before{
	content: '';
	position: absolute;
	width: 100%;
	height: 1px;
	top: 120%;
	left: 0px;
	background-color: var(--secondary-heading-clr);
}
.contactDetails .contactTitle h2::after{
	content: '';
	position: absolute;
	width: 40%;
	height: 3px;
	top: calc(120% - 1px);
	left: 0px;
	background-color: var(--primary-clr);
}
.contactDetails .contactTitle p{
	font-size: var(--text-fontSize);
	color: var(--secondary-heading-clr);
	letter-spacing: 1px;
	line-height: 1.2;
	padding-bottom: 22px;
}
.contactDetails .contactInfo{
	margin-bottom: 16px;
}
.contactDetails .contactInfo .iconGroup{
	display: flex;
	align-items: center;
	margin: 25px 0px;
}
.contactDetails .contactInfo .iconGroup .icon{
    width: 45px;
    height: 45px;
    border: 2px solid;
    border-radius: 50%;
    margin-right: 20px;
    position: relative;
    -webkit-box-shadow: 0px 0px #FFFFFF;
    box-shadow: 0px 0px #FFFFFF;
}
.contactInfo .iconGroup .icon i{
	font-size: 18px;
	color: var(--primary-heading-clr);
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.contactInfo .iconGroup .details span{
	display: block;
	color: var(--text-clr);
	font-size: var(--text-fontSize);
}
.contactInfo .iconGroup .details span:nth-child(1){
	text-transform: uppercase;
	color: var(--primary-heading-clr);
}
.contactDetails .contactSocialMedia{
	display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-wrap: wrap;
	margin: 22px 0px 20px;
}
.contactDetails .contactSocialMedia a{
	width: 35px;
	height: 35px;
	text-decoration: none;
	text-align: center;
	margin-right: 15px;
	border: 1px solid transparent;
	border-radius: 5px;
	background-color: var(--primary-clr);
	transition: 0.4s;
}
.contactDetails .contactSocialMedia a i{
	color: var(--primary-heading-clr);
	font-size: 18px;
	line-height: 35px;
	transition: 0.4s;
}
.contactDetails .contactSocialMedia a:hover{
	transform: translateY(-5px);
	background-color: var(--bg-clr-two);
	border: 1px solid var(--primary-clr);
}
.contactDetails .contactSocialMedia a:hover i{
	color: var(--primary-clr);
}
.contactContentsRow .contactForm .messageForm{
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	padding-top: 30px;
}
.contactForm .messageForm .inputGroup{
	position: relative;
	margin: 18px 0px;
}
.contactForm .messageForm .halfWidth{
    flex-basis: 48%;
    margin-left: 0px;
}
.contactForm .messageForm .fullWidth{
	flex-basis: 100%;
}
.contactForm .messageForm input,
.contactForm .messageForm textarea{
    width: 100%;
    font-size: 18px;
    padding: 2px 0px;
    background-color: #060725;
    color: #00011E;
    border: medium solid;
    border-bottom: 2px solid #333;
    outline: none;
}
.contactForm .messageForm textarea{
	resize: none;
	height: 220px;
	display: block;
}
.contactForm .messageForm textarea::-webkit-scrollbar{
	width: 5px;
}
.contactForm .messageForm textarea::-webkit-scrollbar-track{
	background-color: var(--black-clr);
	border-radius: 15px;
}
.contactForm .messageForm textarea::-webkit-scrollbar-thumb{
	background-color: var(--primary-clr);
	border-radius: 15px;
}
.messageForm .inputGroup label{
    position: absolute;
    left: 0;
    bottom: 4px;
    color: var(--text-clr);
    font-size: var(--text-fontSize);
    transition: 0.4s;
    pointer-events: none;
    margin-left: 21px;
}
.messageForm .inputGroup:nth-child(4) label{
	top: 2px;
}
.messageForm .inputGroup input:focus ~ label,
.messageForm .inputGroup textarea:focus ~ label,
.messageForm .inputGroup input:valid ~ label,
.messageForm .inputGroup textarea:valid ~ label
{
	transform: translateY(-30px);
	font-size: 15px;
}
.contactForm .messageForm .inputGroup button{
    padding: 8px 16px;
    font-size: var(--btn-fontSize);
    background-color: #050629;
    color: var(--primary-heading-clr);
    border: 1px solid transparent;
    border-radius: 25px;
    outline: none;
    cursor: pointer;
    box-shadow: 0px 2px 8px rgba(201,188,188,0.30);
    transition: 0.4s;
    -webkit-box-shadow: 0px 2px 8px rgba(201,188,188,0.30);
}
.contactForm .messageForm .inputGroup button:hover{
    background-color: #FFFFFF;
    color: #0F0000;
    box-shadow: 0px 0px 15px rgba(255,255,255,0.30);
    border: 1px none;
    -webkit-box-shadow: 0px 0px 15px rgba(255,255,255,0.30);
}

/*  *******   Contact Section Styling Ends   *******  */


/*  *******   Footer Section Styling Starts   *******  */

.footerSection{
    width: 100%;
    padding: 20px 8%;
    background-color: #FFFFFF;
}
.footerSection .footerContents{
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.footerContents .footerLogo{
    text-decoration: none;
    font-size: 22px;
    font-weight: 700;
    color: #03042E;
    margin-right: 20px;
}
.footerContents .copyRights{
    font-size: 16px;
    color: #060725;
}
.footerContents .copyRights span{
    color: #E50132;
    opacity: 0.5;
}
.logo a img {
    margin-top: 30px;
    margin-left: 22px;
}
#sectionReview .reviewCard.active h3 {
    margin-left: 405px;
}
.aboutContents .aboutInfo h3 {
    color: #000000;
    font-family: "Poppins Light";
}





/*  *******   Footer Section Styling Ends   *******  */






/*   *******   Media Query   *******   */

@media(max-width: 1068px){
	.aboutSection .aboutContents{
		grid-template-areas: 'aboutImage aboutSkills'
		                     'aboutInfo aboutInfo';
	}
	.aboutContents .aboutSkills{
		grid-template-columns: 1fr;
		grid-gap: 20px;
	}
	.serviceContents .serviceBox{
    /* [disabled]flex-basis: 48%; */
    border-width: 0px;
	}
	.portfolioContents .portfolioGallery{
		grid-template-columns: repeat(2, 1fr);
	}
	.contactForm .messageForm .halfWidth{
		flex-basis: 100%;
	}
}

@media(max-width: 968px){
	.homeSection .primaryMenu #primaryMenuBtn{
		display: block;
	}
	.homeSection .primaryMenu ul{
		position: fixed;
		width: 100%;
		height: calc(100vh - 65px);
		top: 65px;
		right: -100%;
		background-color: var(--bg-clr-one);
		border-top: 1px solid #111;
		display: flex;
		align-items: center;
		flex-direction: column;
		transition: right 0.4s cubic-bezier(1, 0.2, 0.2, 1);
		z-index: 100;
	}
	.homeSection .primaryMenu ul li{
		padding: 18px 20px;
		letter-spacing: 2px;
	}
	.homeSection .primaryMenu ul li:nth-child(1){
		margin-top: 30px;
	}
	.homeSection .primaryMenu ul li a{
		font-size: 18px;
		font-weight: 600;
	}
	#primaryMenuBtn.active .bar:nth-child(2){
		transform: translateX(-30px);
		opacity: 0;
	}
	#primaryMenuBtn.active .bar:nth-child(1){
		transform: translateY(8px) rotate(45deg);
	}
	#primaryMenuBtn.active .bar:nth-child(3){
		transform: translateY(-8px) rotate(-45deg);
	}
	.homeSection .primaryMenu ul.active{
		right: 0;
	}
}

@media(max-width: 868px){
	.aboutSection .aboutContents{
		grid-template-areas: 'aboutImage aboutImage'
		                     'aboutInfo aboutInfo'
		                     'aboutSkills aboutSkills';
	}
	.contactSection .contactContentsRow{
		flex-wrap: wrap;
	}
	.contactContentsRow .contactDetails,
	.contactContentsRow .contactForm{
		flex-basis: 100%;
		margin: 0px;
	}
}

@media(max-width: 768px){
	.homeSection .homeBody{
		background-position: center;
		/*background-blend-mode: hard-light;*/
	}
	.resumeSection .resumeContentsRow{
		grid-template-columns: 1fr;
	}
	.resumeContentsRow .resumeEvenColumn{
		margin-top: 30px;
	}
	.portfolioPopupBox img{
		max-width: 92%;
	}
	.reviewContents .reviewCardsWrapper{
		width: 100%;
		min-height: 400px;
	}
	.reviewSection .reviewTitle h1{
		margin-bottom: 15px;
	}
	.reviewContents .reviewBtns{
		display: none;
	}
	.reviewCardsWrapper .reviewCard p{
		padding: 10px 0px;
	}
}

@media(max-width: 668px){
	.aboutInfo .aboutPersonalInfo{
		grid-template-columns: 1fr;
	}
	.serviceContents .serviceBox{
		flex-basis: 100%;
	}
	.portfolioContents .portfolioGallery{
		grid-template-columns: repeat(1, 1fr);
	}
}

@media(max-width: 568px){
	.footerSection .footerContents{
		flex-direction: column;
	}
	.footerContents .footerLogo{
		margin-bottom: 15px;
	}
}

@media(max-width: 468px){
	.reviewContents .reviewCardsWrapper{
		min-height: 450px;
	}
}

@media(max-width: 350px){
	.aboutContents .aboutImage{
		min-width: 100%;
		height: auto;
	}
	.reviewContents .reviewCardsWrapper{
		min-height: 480px;
	}
	.contactContentsRow .contactDetails{
		min-width: 250px;
	}
}
